ac_config_links="$ac_config_links src/backend/port/dynloader.c:src/backend/port/dynloader/${template}.c src/backend/port/pg_sema.c:${SEMA_IMPLEMENTATION} src/backend/port/pg_shmem.c:${SHMEM_IMPLEMENTATION} src/include/dynloader.h:src/backend/port/dynloader/${template}.h src/include/pg_config_os.h:src/include/port/${template}.h src/Makefile.port:src/makefiles/Makefile.${template}"
-# Links sometimes fail undetected on Mingw -
-# so here we detect it and warn the user
-case $host_os in mingw*)
- for linktarget in \
- src/backend/port/tas.s \
- src/backend/port/dynloader.c \
- src/backend/port/pg_sema.c \
- src/backend/port/pg_shmem.c \
- src/include/dynloader.h \
- src/include/pg_config_os.h \
- src/Makefile.port
- do
- # test -e works for symlinks in the MinGW console
- test -e $linktarget || { echo "$as_me:$LINENO: WARNING: *** link for $linktarget failed - please fix by hand" >&5
-echo "$as_me: WARNING: *** link for $linktarget failed - please fix by hand" >&2;}
- done
- ;;
-esac
-
ac_config_headers="$ac_config_headers src/include/pg_config.h"
$ac_cs_success || { (exit 1); exit 1; }
fi
+
+# Links sometimes fail undetected on Mingw -
+# so here we detect it and warn the user
+case $host_os in mingw*)
+for FILE in "$CONFIG_LINKS"
+ do
+ # test -e works for symlinks in the MinGW console
+ test -e `expr "$FILE" : '\(^:*\)'` || { echo "$as_me:$LINENO: WARNING: *** link for $FILE - please fix by hand" >&5
+echo "$as_me: WARNING: *** link for $FILE - please fix by hand" >&2;}
+ done
+ ;;
+esac
+
dnl Process this file with autoconf to produce a configure script.
-dnl $PostgreSQL: pgsql/configure.in,v 1.347 2004/05/13 01:45:02 momjian Exp $
+dnl $PostgreSQL: pgsql/configure.in,v 1.348 2004/05/13 22:59:14 momjian Exp $
dnl
dnl Developers, please strive to achieve this order:
dnl
src/Makefile.port:src/makefiles/Makefile.${template}
])
+AC_CONFIG_HEADERS([src/include/pg_config.h],
+[
+# Update timestamp for pg_config.h (see Makefile.global)
+echo >src/include/stamp-h
+])
+
+AC_OUTPUT
+
# Links sometimes fail undetected on Mingw -
# so here we detect it and warn the user
case $host_os in mingw*)
- for linktarget in \
- src/backend/port/tas.s \
- src/backend/port/dynloader.c \
- src/backend/port/pg_sema.c \
- src/backend/port/pg_shmem.c \
- src/include/dynloader.h \
- src/include/pg_config_os.h \
- src/Makefile.port
+for FILE in "$CONFIG_LINKS"
do
# test -e works for symlinks in the MinGW console
- test -e $linktarget || AC_MSG_WARN([*** link for $linktarget failed - please fix by hand])
+ test -e `expr "$FILE" : '\([^:]*\)'` || AC_MSG_WARN([*** link for $FILE - please fix by hand])
done
;;
esac
-AC_CONFIG_HEADERS([src/include/pg_config.h],
-[
-# Update timestamp for pg_config.h (see Makefile.global)
-echo >src/include/stamp-h
-])
-
-AC_OUTPUT